var Dfs74000_CalculoReceitaBrutaSimplesNacional_Service = function(Dfs74000_CalculoReceitaBrutaSimplesNacional_Repository) {

    this.calculaValorTotalRceitaBruta = function(row){
        if(!row.VRSALDOCOMPOE){
            row.VRSALDOCOMPOE='0';
        }
        if(!row.VRSALDODEDUZ){
            row.VRSALDODEDUZ='0';
        }
        row.VRSALDOCOMPOE = String(row.VRSALDOCOMPOE).replace(',','.');
        row.VRSALDODEDUZ  = String(row.VRSALDODEDUZ).replace(',','.');

        row.VRSALDOCOMPOE = parseFloat(row.VRSALDOCOMPOE);
        row.VRSALDODEDUZ  = parseFloat(row.VRSALDODEDUZ);

        row.VRRECEITABR = row.VRSALDOCOMPOE - row.VRSALDODEDUZ;

        if(row.VRRECEITABR<0){
            row.VRSALDONEGMES = row.VRRECEITABR *(-1);
            row.VRRECEITABR = 0;
        }else{
            row.VRSALDONEGMES = 0;
        }
    };

    this.verificaValorAlterado  = function(row){
        var valorCompoem       = row.VRSALDOCOMPOE;
        var valorAntigoCompoem = row.VRSALDOCOMPOE_OLD;
        var valorDeduz         = row.VRSALDODEDUZ;
        var valorAntigoDeduz   = row.VRSALDODEDUZ_OLD;
        //caso seja alterado o valor(compoem ou deduz) deve setar o campo IDINFMANUAL para M 'Manual'
        if(valorCompoem !== valorAntigoCompoem || valorDeduz !== valorAntigoDeduz){
            row.IDINFMANUAL='M';
        }
    };

    this.buscaMesPosterior = function (row){
        return Dfs74000_CalculoReceitaBrutaSimplesNacional_Repository.buscaMesPosterior(row);
    };

    this.calculaReceitaBrutaMes = function (row){
        return Dfs74000_CalculoReceitaBrutaSimplesNacional_Repository.calculaReceitaBrutaMes(row);
    };

    this.bloquerMesReceita = function (row){
        return Dfs74000_CalculoReceitaBrutaSimplesNacional_Repository.bloquerMesReceita(row);
    };

    this.buscaNotasFiscaisMes = function (row){
        return Dfs74000_CalculoReceitaBrutaSimplesNacional_Repository.buscaNotasFiscaisMes(row);
    };

    this.saveReceitaBruta = function (row){
        return Dfs74000_CalculoReceitaBrutaSimplesNacional_Repository.saveReceitaBruta(row);
    };

    this.deleteMesReceita = function (row){
        return Dfs74000_CalculoReceitaBrutaSimplesNacional_Repository.deleteMesReceita(row);
    };

    this.validacoesSave = function (row){
        return Dfs74000_CalculoReceitaBrutaSimplesNacional_Repository.validacoesSave(row);
    };

};

Configuration(function(ContextRegister) {
    ContextRegister.register("Dfs74000_CalculoReceitaBrutaSimplesNacional_Service", Dfs74000_CalculoReceitaBrutaSimplesNacional_Service);
});